com.smartgwt.client.types

## Enum SelectionNotificationType

- java.lang.Object
- - java.lang.Enum<SelectionNotificationType>
  - - com.smartgwt.client.types.SelectionNotificationType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SelectionNotificationType>

      public enum SelectionNotificationType
      extends java.lang.Enum<SelectionNotificationType>
      implements ValueEnum

  Enum to indicate selection change notification types. Used by `reselectOnUpdateNotifications`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` No selection change notification should fire
    `SELECTIONCHANGED` `ListGrid.selectionChanged()` should fire but `ListGrid.selectionUpdated()` should not fire.
    `SELECTIONUPDATED` `ListGrid.selectionChanged()` and `ListGrid.selectionUpdated()` should both fire.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SelectionNotificationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectionNotificationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SelectionNotificationType NONE

      No selection change notification should fire

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

    - #### SELECTIONCHANGED

          public static final SelectionNotificationType SELECTIONCHANGED

      `ListGrid.selectionChanged()` should fire but `ListGrid.selectionUpdated()` should not fire.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "selectionChanged".

    - #### SELECTIONUPDATED

          public static final SelectionNotificationType SELECTIONUPDATED

      `ListGrid.selectionChanged()` and `ListGrid.selectionUpdated()` should both fire.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "selectionUpdated".

  - ### Method Detail

    - #### values

          public static SelectionNotificationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionNotificationType c : SelectionNotificationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectionNotificationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`